QwtPickerClickPointMachine(3)

NAME
QwtPickerClickPointMachine -

A state machine for point selections.

SYNOPSIS

#include <qwt_picker_machine.h>

Inherits QwtPickerMachine.

  Public Member Functions
virtual CommandList transition (const QwtEventPattern &, const QEvent *)

Detailed Description

A state machine for point selections. Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 selects a point.

See also:
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Member Function Documentation

  QwtPickerMachine::CommandList QwtPickerClickPointMachine::transition (const QwtEventPattern & eventPattern, const QEvent * e) [virtual]

Transition.

Implements QwtPickerMachine.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.